#include <iostream>
using namespace std;

int main(){
	int n,m;
	cin >> n >> m;
	
	int brojac = 0;
	int naRedu = 0;
	
	for(int i=1;i<n-1;i++){
		for(int j=1;j<m-1;j++){
			naRedu++;
			if(naRedu%2==1){
				brojac++;
			}
		}
	}
	cout << n*m-brojac;
}